<script setup lang="ts"></script>

<template>
  <header class="hero">
    <h1 class="hero-title text-left tab-pt:text-center">
      Transform <br class="block tab-pt:hidden" />
      <span class="text-accent"> Your Brand</span>
      <br class="hidden tab-pt:block" />
      with Skilled Professionals <br class="hidden mob-lg:block" />
      That You <br class="block tab-pt:hidden" />
      Can <span class="text-accent">Trust</span>
    </h1>
    <div class="cta-container">
      <ButtonPrimary link="https://api.whatsapp.com/send?phone=%2B923348385958" text="Let's Work Together" />
      <ButtonSecondary link="Omniworks-Portfolio.pdf" text="View Our Portfolio" />
    </div>
  </header>
</template>

<style scoped>
.hero {
  @apply w-full px-[18px];
  @apply tab-pt:pt-[72px];
  @apply tab-ls:pt-[100px];
  @apply pc-sm:pt-[72px];
  @apply short:pt-[32px];
}

.hero-title {
  font-family: "NHGD-Bold", sans-serif;
  @apply pb-[28px] text-[50px] leading-[56px] tracking-[0.005em] font-bold;
  @apply mob-lg:pb-[42px] mob-lg:text-[58px] mob-lg:leading-[66px] mob-lg:tracking-[0.01em];
  @apply tab-pt:text-[54px] tab-pt:leading-[60px];
  @apply tab-ls:text-[64px] tab-ls:leading-[78px] tab-pt:tracking-[0.02em];
  @apply pc-sm:text-[90px] pc-sm:leading-[94px];
  @apply pc-lg:text-[96px] pc-lg:leading-[100px];
  @apply short:text-[32px] short:leading-[40px] short:pb-[24px];
  color: var(--brand-black);
}
.cta-container {
  @apply grid gap-[16px] w-full m-0;
  @apply tab-pt:flex tab-pt:items-center tab-pt:justify-evenly tab-pt:max-w-[494px] tab-pt:m-auto;
  @apply short:gap-[0px];
}
</style>
